#4 N_(EP_VERSION) patch for v0.3

closed-invalid
nobody
None
5
2005-03-28
2005-02-22
No

I know I read that the N_ is a gettext macro, but I
guess this is still a patch for people who ran into the
problem of make errors.

Discussion

  • Anonymous - 2005-02-22

    Logged In: YES
    user_id=486208

    ahh the good ol tick box.. here is the patch

    --- extendedprefs.c 2005-02-22 15:32:57.929866696 -0330
    +++ extendedprefs.patched.c 2005-02-22
    15:25:05.309715880 -0330
    @@ -31,7 +31,7 @@
    #include "gtkutils.h"

    #define KSTANGE_EP_PLUGIN_ID "gtk-kstange-extendedprefs"
    -
    +#define EP_VERSION "0.4"
    #define KSTANGE_EP_SIZE_MIN 4
    #define KSTANGE_EP_SIZE_MAX 90
    #define KSTANGE_EP_BLIST_TIP_MIN 0
    @@ -560,7 +560,7 @@
    GAIM_PRIORITY_DEFAULT,
    KSTANGE_EP_PLUGIN_ID,
    N_("Extended Preferences"),
    - EP_VERSION,
    + N_(EP_VERSION),
    N_("Extended Gaim preferences not officially
    supported by Gaim."),
    N_("Provides several extended preferences for Gaim
    users. These were omitted from Gaim for various reas
    ons, but were popular requests from Gaim users.\n\nNote:
    This plugin is not supported by the official Gaim proje
    ct. Do not bug the developers about this plugin!"),
    "Kevin Stange <extprefs@simguy.net>",

     
  • Kevin Stange

    Kevin Stange - 2005-03-28

    Logged In: YES
    user_id=726342

    N_ isn't valid in that context, because the version number
    is not translatable. The idea is that you compile with
    standard makefiles and EP_VERSION is defined. I will be
    attempting to fix the makefiles so that Linux and Unix users
    have an intelligent build system. Windows users should
    retain their same lack of problems as before. Hopefully
    that will take care of everyone. :-)

     
  • Kevin Stange

    Kevin Stange - 2005-03-28
    • status: open --> closed-invalid
     

Log in to post a comment.